Commit 5e4d9c6a authored by Bas Couwenberg's avatar Bas Couwenberg

New upstream version 2.4.0+dfsg

parent 36babbe7
PostGIS 2.4.0rc3
2017/09/27
* Fixes and Enhancements since PostGIS 2.4.0rc2 *
- #3781 st_contains cannot handle curvepolygon / compoundcurve
consisting of only straight lines
- #3866 server crashing from large values in ST_AsTWKB
- #3818 Allow triangles unclosed in M to be WKT parsed
- several packaging changes regarding checking trailing blanks
See PostGIS 2.4.0 section for details of
new features and enhancements in this release.
PostGIS 2.4.0rc2
2017/09/24
* Fixes and Enhancements since PostGIS 2.4.0rc1 *
- Numerous fixes to ST_AsMVT, ST_AsGeoBuf
- ST_AsTWKB speed and memory performance enhancments
- ST_RepeatedPoints speed improvements
- ST_ConcaveHull bug fix
See PostGIS 2.4.0 section for details of
new features and enhancements in this release.
PostGIS 2.4.0rc1
2017/09/13
Note possible breaking changes since 2.4.0 beta1 release are:
* Breaking Changes *
- B-Tree index operators < = > changed to provide better spatial locality on sorting
and have expected behavior on GROUP BY.
If you have btree index for geometry or geography, you need to REINDEX it, or review
if it was created by accident and needs to be replaced with GiST index.
If your code relies on old left-to-right box compare ordering,
update it to use << >> operators.
- ST_AsMVT aggregate now overloaded and arg order changed.
Check your code if you are already using this function.
- _ST_DumpPoints removed, was no longer needed after PostGIS 2.1.0
when ST_DumpPoints got reimplemented in C
See PostGIS 2.4.0 section for details of new features and fixes in this release
PostGIS 2.4.0
2017/09/29
2017/09/30
* New Features *
- #3822, Have postgis_full_version() also show and check version of
......@@ -106,6 +65,48 @@ PostGIS 2.4.0
If your code relies on old left-to-right box compare ordering,
update it to use << >> operators
PostGIS 2.4.0rc3
2017/09/27
* Fixes and Enhancements since PostGIS 2.4.0rc2 *
- #3781 st_contains cannot handle curvepolygon / compoundcurve
consisting of only straight lines
- #3866 server crashing from large values in ST_AsTWKB
- #3818 Allow triangles unclosed in M to be WKT parsed
- several packaging changes regarding checking trailing blanks
See PostGIS 2.4.0 section for details of
new features and enhancements in this release.
PostGIS 2.4.0rc2
2017/09/24
* Fixes and Enhancements since PostGIS 2.4.0rc1 *
- Numerous fixes to ST_AsMVT, ST_AsGeoBuf
- ST_AsTWKB speed and memory performance enhancments
- ST_RepeatedPoints speed improvements
- ST_ConcaveHull bug fix
See PostGIS 2.4.0 section for details of
new features and enhancements in this release.
PostGIS 2.4.0rc1
2017/09/13
Note possible breaking changes since 2.4.0 beta1 release are:
* Breaking Changes *
- B-Tree index operators < = > changed to provide better spatial locality on sorting
and have expected behavior on GROUP BY.
If you have btree index for geometry or geography, you need to REINDEX it, or review
if it was created by accident and needs to be replaced with GiST index.
If your code relies on old left-to-right box compare ordering,
update it to use << >> operators.
- ST_AsMVT aggregate now overloaded and arg order changed.
Check your code if you are already using this function.
- _ST_DumpPoints removed, was no longer needed after PostGIS 2.1.0
when ST_DumpPoints got reimplemented in C
See PostGIS 2.4.0 section for details of new features and fixes in this release
PostGIS 2.4.0beta1
2017/09/02
See PostGIS 2.4.0 section for details
......
PostGIS - Geographic Information Systems Extensions to PostgreSQL
=================================================================
:Version: 2.4.0rc3
:Date: 2017-09-25
:Version: 2.4.0
:Date: 2017-09-30
:Website: http://postgis.net
This distribution contains a module which implements GIS simple features, ties
......@@ -43,12 +43,13 @@ this to work.
http://trac.osgeo.org/proj/
* GEOS (Required, Version 3.3.0 or higher
- 3.4+ is strongly recommended and needed for full features):
* GEOS (Required, Version 3.4 or higher)
- 3.6+ is strongly recommended to expose most GEOS features
- 3.7+ is needed just for the ST_FrechetDistance function
The GEOS library provides support for exact topological tests such as
ST_Touches(), ST_Contains(), ST_Disjoint() and spatial operations such as
ST_Intersection(), ST_Union() and ST_Buffer(). GEOS 3.4+ is recommended.
ST_Intersection(), ST_Union() and ST_Buffer().
http://trac.osgeo.org/geos/
......
......@@ -5,7 +5,7 @@
POSTGIS_MAJOR_VERSION=2
POSTGIS_MINOR_VERSION=4
POSTGIS_MICRO_VERSION=0rc3
POSTGIS_MICRO_VERSION=0
# Liblwgeom interface versioning, reset to 0:0:0 (cur:age:rev)
# when changing POSTGIS_MINOR_VERSION
......
......@@ -5,7 +5,7 @@
<sect1>
<title>Release 2.4.0</title>
<para>Release date: 2017/09/29</para>
<para>Release date: 2017/09/30</para>
<simplesect><title>New Features</title>
<para>#3822, Have postgis_full_version() also show and check version of
PostgreSQL the scripts were built against (Sandro Santilli)</para>
......
......@@ -30,14 +30,14 @@ POSTGIS_PGSQL_VERSION=96
SQLPP = /usr/bin/cpp -traditional-cpp -w -P
GREP=/bin/grep
PERL=/usr/bin/perl
EXTVERSION = 2.4.0rc3
EXTVERSION = 2.4.0
MINORVERSION = 2.4
MODULE_big = address_standardizer-2.4
EXTENSION = address_standardizer
DATA = address_standardizer_data_us.control sql/$(EXTENSION).sql sql/$(EXTENSION)_data_us.sql
all: sql/address_standardizer.sql sql/address_standardizer--1.0--$(EXTVERSION).sql sql/address_standardizer--$(EXTVERSION).sql sql/address_standardizer--$(EXTVERSION)--$(EXTVERSION)next.sql sql/address_standardizer--$(EXTVERSION)next--$(EXTVERSION).sql \
sql/$(EXTENSION)_data_us.sql sql/address_standardizer--2.4.0rc3.sql sql/$(EXTENSION)_data_us--2.4.0rc3.sql sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql \
sql/$(EXTENSION)_data_us.sql sql/address_standardizer--2.4.0.sql sql/$(EXTENSION)_data_us--2.4.0.sql sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql \
sql/$(EXTENSION)_data_us--$(EXTVERSION)next--$(EXTVERSION).sql \
sql/test-init-extensions.sql sql/test-parseaddress.sql sql/test-standardize_address_1.sql sql/test-standardize_address_2.sql
......@@ -68,7 +68,7 @@ sql/%.sql: %.sql.in
$(SQLPP) -I../libpgcommon $< | grep -v '^#' | \
$(PERL) -lpe "s'MODULE_PATHNAME'\$$libdir/${EXTENSION}-${MINORVERSION}'g" > $@
sql/address_standardizer--2.4.0rc3.sql: sql/address_standardizer_types.sql \
sql/address_standardizer--2.4.0.sql: sql/address_standardizer_types.sql \
sql/address_standardizer_functions.sql
cat $^ > $@
......
# address_standardizer extension
comment = 'Used to parse an address into constituent elements. Generally used to support geocoding address normalization step.'
default_version = '2.4.0rc3'
default_version = '2.4.0'
relocatable = true
# address standardizer us dataset
comment = 'Address Standardizer US dataset example'
default_version = '2.4.0rc3'
default_version = '2.4.0'
relocatable = true
include ../upgradeable_versions.mk
EXTENSION = postgis
EXTVERSION = 2.4.0rc3
EXTVERSION = 2.4.0
MINORVERSION = 2.4
GREP = /bin/grep
PERL = /usr/bin/perl
......
# postgis extension
comment = 'PostGIS geometry, geography, and raster spatial types and functions'
default_version = '2.4.0rc3'
default_version = '2.4.0'
module_pathname = '$libdir/postgis-2.4'
relocatable = false
include ../upgradeable_versions.mk
EXTENSION = postgis_sfcgal
EXTVERSION = 2.4.0rc3
EXTVERSION = 2.4.0
MINORVERSION = 2.4
GREP = /bin/grep
PERL = /usr/bin/perl
......
# postgis topology extension
comment = 'PostGIS SFCGAL functions'
default_version = '2.4.0rc3'
default_version = '2.4.0'
relocatable = true
requires = postgis
include ../upgradeable_versions.mk
EXTENSION = postgis_tiger_geocoder
EXTVERSION = 2.4.0rc3
EXTVERSION = 2.4.0
MINORVERSION = 2011.2.4
GREP = /bin/grep
PERL = /usr/bin/perl
......
# postgis tiger geocoder extension
comment = 'PostGIS tiger geocoder and reverse geocoder'
default_version = '2.4.0rc3'
default_version = '2.4.0'
relocatable = false
schema = tiger
requires = 'postgis,fuzzystrmatch'
include ../upgradeable_versions.mk
EXTENSION = postgis_topology
EXTVERSION = 2.4.0rc3
EXTVERSION = 2.4.0
MINORVERSION = 2.4
GREP = /bin/grep
PERL = /usr/bin/perl
......
# postgis topology extension
comment = 'PostGIS topology spatial types and functions'
default_version = '2.4.0rc3'
default_version = '2.4.0'
relocatable = false
schema = topology
requires = postgis
......@@ -31,4 +31,5 @@ UPGRADEABLE_VERSIONS = \
2.4.0beta1 \
2.4.0rc1 \
2.4.0rc2 \
2.4.0rc3 \
2.4.0dev
......@@ -9,7 +9,7 @@
#define POSTGIS_PGSQL_VERSION 96
#define POSTGIS_GEOS_VERSION 37
#define POSTGIS_PROJ_VERSION 49
#define POSTGIS_LIB_VERSION '2.4.0rc3'
#define POSTGIS_LIB_VERSION '2.4.0'
#define POSTGIS_LIBXML2_VERSION 2.9.4
#define POSTGIS_SFCGAL_VERSION 13
......@@ -25,13 +25,13 @@
* won't substitute within apostrophes)
*/
#define _POSTGIS_SQL_SELECT_POSTGIS_VERSION 'SELECT ''2.4 USE_GEOS=1 USE_PROJ=1 USE_STATS=1''::text AS version'
#define _POSTGIS_SQL_SELECT_POSTGIS_BUILD_DATE 'SELECT ''2017-09-27 06:31:04''::text AS version'
#define _POSTGIS_SQL_SELECT_POSTGIS_BUILD_DATE 'SELECT ''2017-09-29 21:15:39''::text AS version'
#define _POSTGIS_SQL_SELECT_POSTGIS_PGSQL_VERSION 'SELECT ''96''::text AS version'
#if POSTGIS_SVN_REVISION
#define _POSTGIS_SQL_SELECT_POSTGIS_SCRIPTS_VERSION $$ SELECT '2.4.0rc3'::text || ' r' || POSTGIS_SVN_REVISION::text AS version $$
#define _POSTGIS_SQL_SELECT_POSTGIS_SCRIPTS_VERSION $$ SELECT '2.4.0'::text || ' r' || POSTGIS_SVN_REVISION::text AS version $$
#else
#define _POSTGIS_SQL_SELECT_POSTGIS_SCRIPTS_VERSION $$ SELECT '2.4.0rc3'::text AS version $$
#define _POSTGIS_SQL_SELECT_POSTGIS_SCRIPTS_VERSION $$ SELECT '2.4.0'::text AS version $$
#endif
#define SRID_USR_MAX 998999
......
#define POSTGIS_SVN_REVISION 15847
#define POSTGIS_SVN_REVISION 15853
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment